Upgrade version to 1.9.3 and adapt common 1.8.4 (#116)